## pulsesink

pulsesink

## Properties

gchar * | device | Read / Write
gchar * | server | Read / Write
gchar * | device-name | Read
gdouble | volume | Read / Write
gboolean | mute | Read / Write
GstStructure * | stream-properties | Read / Write
gchar * | client-name | Read / Write
gchar * | current-device | Read

## Types and Values

struct | GstPulseSink

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstBaseSink
                        ╰── GstAudioBaseSink
                            ╰── GstPulseSink

## Implemented Interfaces

GstPulseSink implements GstStreamVolume, GstImplementsInterface and GstPropertyProbe.

## Description

## Synopsis

### Element Information

plugin | pulseaudio
author | Lennart Poettering
class | Sink/Audio

### Element Pads

name | sink
direction | sink
presence | always
details | audio/x-raw, format=(string){ S16LE, S16BE, F32LE, F32BE, S32LE, S32BE, S24LE, S24BE, S24_32LE, S24_32BE, U8 }, layout=(string)interleaved, rate=(int)[ 1, 2147483647 ], channels=(int)[ 1, 32 ]
| audio/x-alaw, rate=(int)[ 1, 2147483647 ], channels=(int)[ 1, 32 ]
| audio/x-mulaw, rate=(int)[ 1, 2147483647 ], channels=(int)[ 1, 32 ]
| audio/x-ac3, framed=(boolean)true
| audio/x-eac3, framed=(boolean)true
| audio/x-dts, framed=(boolean)true, block-size=(int){ 512, 1024, 2048 }
| audio/mpeg, mpegversion=(int)1, mpegaudioversion=(int)[ 1, 2 ], parsed=(boolean)true
| audio/mpeg, mpegversion=(int){ 2, 4 }, framed=(boolean)true, stream-format=(string)adts

## Functions

## Types and Values

### struct GstPulseSink

    struct GstPulseSink;

## Property Details

### The `“device”` property

      “device”                   gchar *

The PulseAudio sink device to connect to.

Flags: Read / Write

Default value: NULL

### The `“server”` property

      “server”                   gchar *

The PulseAudio server to connect to.

Flags: Read / Write

Default value: NULL

### The `“device-name”` property

      “device-name”              gchar *

Human-readable name of the sound device.

Flags: Read

Default value: NULL

### The `“volume”` property

      “volume”                   gdouble

Linear volume of this stream, 1.0=100%.

Flags: Read / Write

Allowed values: [0,10]

Default value: 1

### The `“mute”` property

      “mute”                     gboolean

Mute state of this stream.

Flags: Read / Write

Default value: FALSE

### The `“stream-properties”` property

      “stream-properties”        GstStructure *

list of pulseaudio stream properties.

Flags: Read / Write

### The `“client-name”` property

      “client-name”              gchar *

The PulseAudio client name to use.

Flags: Read / Write

Default value: "lt-gst-plugins-good-plugins-scan"

### The `“current-device”` property

      “current-device”           gchar *

The current PulseAudio sink device.

Flags: Read

Default value: NULL